Get tax settings.
GET
/v1/tax
const url = 'https://api.ridleypay.com/v1/tax';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ridleypay.com/v1/tax \ --header 'Authorization: Bearer <token>'When inclusive is true, amounts you send already include tax and Ridley
extracts it. Otherwise tax is added on top of the amount.
Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”Media typeapplication/json
object
data
object
type
string
attributes
object
enabled
boolean
name
string
rate
integer
inclusive
boolean
Example
{ "data": { "type": "tax-settings", "attributes": { "enabled": true, "name": "GCT", "rate": 15, "inclusive": false } }}